Summary: 	iRiver driver library
Name: 		libifp
Version: 	1.0.0.2
Release: 	2.1
License: 	GPL
Group: 		System/Libraries
Buildroot: 	%{_tmppath}/%{name}-buildroot
Source0: 	libifp-%{version}.tar.bz2
Source1:	54-ifp.rules
#Patch:		bigendianlibifp.patch
Requires:	libusb
URL:		http://ifp-driver.sourceforge.net/
Prefix:		/usr

%description
An interface for IRiver's flash-based portable music players

%package devel
Summary: The files needed for development of applications that use libifp
Group: Development/Libraries

%description devel
Headers and libraries needed for development of applications that use libifp

%prep
%setup -q
#%patch -p1

%build
%if %{_arch} == "x86_64"
export LDFLAGS=$LDFLAGS"-L/usr/lib64"
%else
%endif
./configure --prefix=%{_prefix} --libdir=%{_libdir} --mandir=%{_mandir} \
	--sysconfdir=%{_sysconfdir} --with-libusb
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p -m 755 $RPM_BUILD_ROOT/etc/udev/rules.d
install %{SOURCE1} $RPM_BUILD_ROOT/etc/udev/rules.d/

%clean 
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc README ChangeLog TODO
/etc/udev/rules.d/54-ifp.rules
/usr/bin/ifpline
%{_libdir}/libifp.so*
%{_mandir}/man3/ifp.h.3.gz


%files devel
%defattr(-,root,root)
%{_libdir}/libifp.a
%{_libdir}/libifp.la
/usr/include/ifp.h


%changelog
* Sun Oct 14 2007 - joe_morris@ntm.org
- added udev rules file to give user access permissions
* Sun Oct 07 2007 - joe_morris@ntm.org
- built for openSUSE 10.3
* Mon Aug 29 2005 - joe_morris@ntm.org
- updated to 1.0.0.2
* Thu Apr 07 2005 - joe_morris@ntm.org
- built for x86_64
* Sun Feb 20 2005 (1.0.0.1-SuSE9.x)
2005-02-19 Geoff Oakham <oakhamg@users.sourceforge.net>
	* Fixed mistake in error string and clarified API documentation related
	to FM frequencies.  (Thanks to Jim Campbell for pointing out FM
	frequency units are typically MHz, not kHz.)

2005-01-31 Geoff Oakham <oakhamg@users.sourceforge.net>
	* Added support for iFP-9xx models

2005-01-20 Geoff Oakham <oakhamg@users.sourceforge.net>
	* added graceful handling for local "out of space" errors.

* Wed Feb 16 2005 (1.0.0.0-SuSE9.x)
- Converted spec file to build SuSE RPM.
  Orginal spec file from James Evans <milamber@clark-evans.com> (0.1.0.11-fc3.1)
